+ Responder ao Tópico



  1. #1

    Padrão prob com modulos

    olá tentei refazer a instalação do gentoo novamente do 0 e mais uma vez deu erro com os modulos inicialmete ele naum a axava o arkivo /lib/modules/2.6.12-gentoo-r5/modules.dep
    (obvio pq o kernel instalado foi o 2.6.15-gentoo-r1) entaum alterei o nome da pasta p tal e ai dei o depmod -a numa ao rebootar a makina ele naum axava o /lib/modules/2.4.29/nodules.dep entaum sabiamente alterei novamente o nome para 2.4.29 e agora ele da um monte de erro no boot e naum carrega modulo nenhum
    qdo dou o uname -r mostra 2.4.29 alguem sabe como resolvo essa porcaria de erro...
    eu to quase desistindo desse SO por tanto erro besta q ele complica tanto...
    vlw glr t+

  2. #2

    Padrão Re: prob com modulos

    vc já tentou o genkernel?

    # emerge genkernel
    //instalando genkernel

    # genkernel --menuconfig all
    //adicione suporte à que você quiser/precisar

    # genkernel all
    rodando genkernel... é bem demorado!

    # ls /boot/kernel* /boot/initrd*
    //compare o nome da imagem do kernel com o initrd

    //isntalando hotplug e adicionando à inicialização
    # emerge hotplug
    # rc-update add hotplug default

    adicionando inicialização dos módulos:
    edite o arquivo:
    #vim /etc/modules.autoload.d/kernel-2.6
    e adicione os módulos desejados, 8139too, pra RTL8139, por exemplo...

    pra finalizar:
    #modules-update

    []'s



  3. #3
    felco
    Visitante

    Padrão Re: prob com modulos

    Cara existe uma recomendacao por parte do Handbook oficial a iniciar a instalação a partir do stage3, depois é possivel refazer o bootstrap e recompilar oque quiser.

    E dificil dizer oque deu errado no seu caso, oque voce fez nao e correto, a checagem de dependencia é automatica e em situacoes normais ela funciona sem problemas.

    Mas se voce quiser agente pode analizar isso...


  4. #4

    Padrão Re: prob com modulos

    i ai glr to voltando soh p agradecer em primeiro e explanar o q houve aki com esse instalação...

    intaum foi o seguinte, eu tinha um slack em hda1 e estava instalando o gentto no hdb1 ateh ai blz mas no lilo tava na mbr e en taum ao carregar o gentoo ele era carregado com os modulos do slack q estava com o kernel 2.4.29 e por isso q deu td isso de pau rs*
    vlw ai de novo galera t+
    agora ele esta finalmente instalado e rodando